DCMTK: DcmProfileEntry Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmProfileEntry Class Reference

this helper class is a profile list entry. More...

## Public Member Functions
| DcmProfileEntry (const OFString &presentationContextGroup, const OFString &roleSelectionGroup, const OFString &extendedNegotiationGroup)
| constructor
| DcmProfileEntry (const DcmProfileEntry &arg)
| copy constructor
DcmProfileEntry & | operator= (const DcmProfileEntry &arg)
| copy assignment operator
| ~DcmProfileEntry ()
| destructor
const char * | getPresentationContextKey () const
| returns the presentation context key
const char * | getRoleSelectionKey () const
| returns the role selection key
const char * | getExtendedNegotiationKey () const
| returns the extended negotiation key
OFBool | operator== (const DcmProfileEntry &arg) const
| comparison operator.

## Private Attributes
OFString | presentationContextGroup_
| symbolic identifier of the presentation context list
OFString | roleSelectionGroup_
| symbolic identifier of the role selection list, may be empty
OFString | extendedNegotiationGroup_
| symbolic identifier of the extended negotiation list, may be empty

## Detailed Description

this helper class is a profile list entry.

Not intended for use by the end user.

## Constructor & Destructor Documentation

## ◆ DcmProfileEntry()

DcmProfileEntry::DcmProfileEntry | ( | const OFString & | presentationContextGroup,
|  | const OFString & | roleSelectionGroup,
|  | const OFString & | extendedNegotiationGroup )

constructor

Parameters

  presentationContextGroup | symbolic identifier of the presentation context list
  roleSelectionGroup | symbolic identifier of the role selection list, may be empty
  extendedNegotiationGroup | symbolic identifier of the extended negotiation list, may be empty

Referenced by DcmProfileEntry(), operator=(), and operator==().

## Member Function Documentation

## ◆ getExtendedNegotiationKey()

const char * DcmProfileEntry::getExtendedNegotiationKey | ( |  | ) | const

returns the extended negotiation key

Returns
  extended negotiation key, NULL if empty

## ◆ getPresentationContextKey()

const char * DcmProfileEntry::getPresentationContextKey | ( |  | ) | const

returns the presentation context key

Returns
  presentation context key

## ◆ getRoleSelectionKey()

const char * DcmProfileEntry::getRoleSelectionKey | ( |  | ) | const

returns the role selection key

Returns
  role selection key, NULL if empty

## ◆ operator==()

OFBool DcmProfileEntry::operator== | ( | const DcmProfileEntry & | arg | ) | const
| inline

comparison operator.

Parameters

  arg | object to compare with

Returns
  true if equal

References DcmProfileEntry(), extendedNegotiationGroup_, presentationContextGroup_, and roleSelectionGroup_.

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfprmp.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2